> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.paylias.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Validation

> Create Validation



## OpenAPI

````yaml post /api/v1/csp/validate/{account_id}
openapi: 3.1.0
info:
  title: Paylias API
  description: >-
    Paylias is a network that enables developers to orchestrate money movement
    between different financial institutions with ease and speed. The Paylias
    API makes it simple for financial platforms to issue virtual addresses,
    manage connections and exchange value by sending and receiving money. Our
    API is based upon REST principles, returns JSON responses, and uses standard
    HTTP response codes.
  version: 0.1.0
  contact: {}
servers:
  - url: https://sandbox.api.paylias.xyz/gateway
security: []
tags:
  - name: API Authentication
    description: >-
      For server-to-server communication, Paylias supports authentication
      through JWT tokens as well as API keys. All APIs that are that deal with
      the `Organization` resource are authenticated using JWT tokens, while the
      rest of the system uses API Keys to authenticate


      To use a JWT token, set the Authorization header to `Bearer`. To use an
      API key, set a header called `X-PAYLIAS-API-KEY` and use the API key as
      the value.


      ## JWT token


      When making requests to Paylias from a browser, you can use JSON Web
      Tokens (JWT). This requires the credentials of a user that has admin
      access. The validity of JWT tokens issued by Paylias is 7 days.


      ## API key


      Longer lasting access tokens can be generated with fine grained
      permissions using the Create API key endpoint. These access tokens can be
      rotated, revoked and updated through the browser as well. API Keys are
      linked to a Namespace to allow finer access controls when dealing with API
      requests using long lived tokens. While account admins can take actions on
      API keys from the dashboard, the `X-Partner-ID` header must be set to the
      id of the Namespace for which the API key was originally issued against.
  - name: Organizations
    description: >-
      In the Paylias network, an `Organization` represents a legal entity,
      specifically a financial institution. It stands at the top of the system's
      hierarchy, overseeing sub-entities like `api keys`, `webhooks`, and
      `partners`.


      Given its financial nature, the Paylias network has certain verification
      processes to fulfill. When users join the Paylias dashboard, they
      initially receive an account in a sandboxed environment. This phase allows
      for familiarization without impacting the main system. Full access is
      granted once a member of the Paylias team validates and completes all
      necessary formalities for the user.


      For efficient management, users can either use the dashboard or APIs, with
      the latter requiring a valid JWT Token for secure interactions.
  - name: Namespace
    description: >-
      A `namespace` is a logical collection of payment addresses that are issued
      by an `organization`. Payment addresses issued inside a `namespace` will
      share a common `domain`. The domain helps identify organizations, country
      of issuance and other specifics around the brand, rewards and
      configurations.
  - name: Accounts
  - name: Validation
  - name: API Keys
    description: >-
      Longer lasting access tokens can be generated with fine grained
      permissions using the Create API key endpoint. These access tokens can be
      rotated, revoked and updated through the browser as well. API Keys are
      linked to a Namespace to allow finer access controls when dealing with API
      requests using long lived tokens. While account admins can take actions on
      API keys from the dashboard, the `X-Partner-ID` header must be set to the
      id of the Namespace for which the API key was originally issued against.
  - name: Webhooks
    description: >-
      Webhooks allow applications to communicate in real-time. When an event
      occurs, a webhook will deliver the event data to the application
      determined by the target endpoint. A webhook can be setup to be notified
      of all event types or specific ones. This allows your application to react
      to events, which is more efficient than polling an API to determine if an
      event has occurred.


      In the Paylias network, webhooks are used to communicate events related to
      Links and Payments.


      Similar to API Keys, Webhooks are created against a Namespace and thus
      require the `X-Partner-ID` header to be set in all requests


      ## Event types


      Here are the event types that we capture and send. This may not be a
      comprehensive list as we are continuing to add events to our system.


      | **Event Identifier** | **Description** |

      | --- | --- |

      | `link.create.resp` | A link request has been processed |

      | `link.propose.req` | A link request has been proposed |

      | `link_established` | A link has been established |

      | `link_update_resp` | A link has been updated |
  - name: Customers
  - name: Payments
  - name: Submissions
  - name: Admissions
  - name: Admission Tasks
  - name: Transactions
  - name: Settlements
    description: Settlement batches, partner merkle artefacts, and settlement net positions
  - name: Exceptions
paths:
  /api/v1/csp/validate/{account_id}:
    post:
      tags:
        - Validation
      summary: Create Validation
      description: Create Validation
      operationId: createValidation
      parameters:
        - $ref: '#/components/parameters/PartnerIdHeader'
        - $ref: '#/components/parameters/IdempotencyKeyHeader'
        - $ref: '#/components/parameters/AccountIdParam'
      requestBody:
        $ref: '#/components/requestBodies/ValidateAccount'
      responses:
        '200':
          description: ''
      security:
        - bearerAuth: []
components:
  parameters:
    PartnerIdHeader:
      name: x-partner-id
      in: header
      required: true
      schema:
        type: string
        default: ''
      description: The Partner ID header used for authorization
    IdempotencyKeyHeader:
      name: idempotency-key
      in: header
      required: true
      schema:
        type: string
        default: ''
      description: The Idempotency Key - usually a UUID
    AccountIdParam:
      name: account_id
      in: path
      required: true
      schema:
        type: string
        example: acct_ctf930420orabtojo3r0
      description: The unique identifier for the account
  requestBodies:
    ValidateAccount:
      description: Request to validate a new account
      content:
        application/json:
          schema:
            type: object
            properties:
              strategy:
                type: string
                enum:
                  - VStrat_Microdeposit
                example: VStrat_Microdeposit
              vendor:
                type: string
                enum:
                  - VVendor_Paylias
                example: VVendor_Paylias
            required:
              - strategy
              - vendor
          examples:
            Validate Account:
              value:
                strategy: VStrat_Microdeposit
                vendor: VVendor_Paylias
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````